<#ibiztemplate>
PUBOBJ=Angular.PSAngularDETBUIActionVC
</#ibiztemplate>
<#assign deuiaction=item.getPSUIAction()>
<#if deuiaction.getUIActionTag() == 'ExportExcel'>
    <#if  view.hasPSControl("GRID")>
    <ng-container *ngIf="${ctrl.name}.$items.${item.getName()?lower_case}.dataaccaction">
        <nz-dropdown  <#if item.getWidth() gt 0>style="width:${item.getWidth()?c}px;"</#if> <#if !item.isShowCaption()>[attr.title]="${ctrl.name}.$items.${item.getName()?lower_case}.caption"</#if> [nzPlacement]="'bottomRight'" [nzTrigger]="'click'" [nzClickHide]="false" [(nzVisible)]="${ctrl.name}.exportMenuState">
            <button nz-button nz-dropdown [nzSize]="'large'" class="ml-sm <#if item.getPSSysCss()??>${item.getPSSysCss().getCssName()}</#if>">
                <#if item.isShowIcon() && item.getPSSysImage()??><#assign img=item.getPSSysImage()><#if img.getCssClass()?? && (img.getCssClass()?length gt 0)><i class="${img.getCssClass()}"></i> </#if></#if>
                <#if item.isShowCaption()>{{${ctrl.name}.$items.${item.getName()?lower_case}.caption}}</#if>
                <i class="anticon anticon-down"></i>
            </button>
            <ul nz-menu>
                <li nz-menu-item>
                    <#assign gridhandler = view.getPSControl("GRID").getPSAjaxControlHandler()>
                    <p (click)="${ctrl.name}.itemExportExcel('ExportExcel', 'all')">${item.caption!''}全部(最大导出<#if gridhandler?? && gridhandler.getPSDEDataExport()??>${gridhandler.getPSDEDataExport().getMaxRowCount()?c}<#else>${sys.getDEDataExportMaxRowCount()?c}</#if>行)</p>
                </li>
                <li nz-menu-item>
                    <p (click)="${ctrl.name}.itemExportExcel('ExportExcel')">${item.caption!''}当前页</p>
                </li>
                <li nz-menu-item>
                    ${item.caption!''}第
                    <input type="text" style="width: 30px;" [(ngModel)]="${ctrl.name}.$exportStartPage"> ~
                    <input type="text" style="width: 30px;" [(ngModel)]="${ctrl.name}.$exportEndPage"> 页
                    <button nz-button (click)="${ctrl.name}.itemExportExcel('ExportExcel', 'custom')">Go!</button>
                </li>
            </ul>
        </nz-dropdown>
    </ng-container>
    </#if>
<#else>
    <ng-container *ngIf="${ctrl.name}.$items.${item.getName()?lower_case}.dataaccaction" <#if item.getWidth() gt 0>style="width:${item.getWidth()?c}px;"</#if>>
        <button  <#if item.getWidth() gt 0>style="width:${item.getWidth()?c}px;"</#if> <#if !item.isShowCaption()>[attr.title]="${ctrl.name}.$items.${item.getName()?lower_case}.caption"</#if> [disabled]="${ctrl.name}.$items.${item.getName()?lower_case}.disabled"  nz-button [nzSize]="'large'" class="ml-sm<#if item.getPSSysCss()??> ${item.getPSSysCss().getCssName()}</#if>" (click)="${ctrl.name}.itemclick('${item.getName()?lower_case}', '${deuiaction.getUIActionTag()}')">
            <#if item.isShowIcon() && item.getPSSysImage()??><#assign img=item.getPSSysImage()><#if img.getCssClass()?? && (img.getCssClass()?length gt 0)><i class="${img.getCssClass()}"></i> </#if></#if>
            <#if item.isShowCaption()>{{${ctrl.name}.$items.${item.getName()?lower_case}.caption}}</#if>
        </button>
    </ng-container>
</#if>