/**
 * 应用菜单部件服务对象
 * 
 * @export
 * @class ${srfclassname('${ctrl.name}')}Service
 * @extends { IBizWizardPanelService }
 */
export class ${srfclassname('${ctrl.name}')}Service extends IBizAppMenuService {
    constructor(opt){
        super(opt);
    }

    /**
     * 回填菜单项路由
     * 
     * @private
     * @param {string} appfuncid 
     * @returns {*} 
     * @memberof ${srfclassname('${ctrl.name}')}Service
     */
    public renderMenuItemRoute(appfuncid: string): any {
        <#if ctrl.getPSAppFuncs()??>
        <#list ctrl.getPSAppFuncs() as appfunc>
        <#if appfunc.getPSAppView()??>
        <#assign _appview = appfunc.getPSAppView()>
        if (Object.is(appfuncid, '${appfunc.id}')) {
            return {funcid:'${appfunc.id?lower_case}',codename: <#if appfunc.getCodeName()??>'${appfunc.getCodeName()?lower_case}'<#else>'${_appview.getPSAppModule().codeName?lower_case}_${_appview.codeName?lower_case}'</#if>, functype:'${appfunc.appFuncType}',openmode:'${appfunc.openMode}',viewParams:${appfunc.getOpenViewParam().toString()}};
        }
        </#if>
        </#list>
        </#if>
    
        return undefined;
    }
    <#if ctrl.getPSSysCounter?? && ctrl.getPSSysCounter()??>

    /**
     * 获取引用计数器名称
     *
     * @returns {(string | undefined)}
     * @memberof ${srfclassname('${ctrl.name}')}Service
     */
    public getRefUICounterName(): string | undefined {
        return '${ctrl.getPSSysCounter().getCodeName()}';
    }
    </#if>
}