<#ibiztemplate>
PUBOBJ=Angular.PSAngularDEFormDetailVC
</#ibiztemplate>
<#if item.getPSSysPFPlugin()??>
  ${item.getPSSysPFPlugin().getCode("CODE",pf.getId(),pfstyle.getId(),view,ctrl,item)}
<#else>
<app-ibiz-form-item [field]="fields.${item.name}">
    <ng-template let-${item.name}>
    <div nz-form-item [ngStyle]="{'display':${item.name}.visible?'block':'none'<#if item.getColWidth() != -1>,'width': '${item.getColWidth()?c}px'</#if>}" 
         nz-col <#if item.getColLG() != -1> [nzLg]="${item.getColLG()?c}"</#if><#if item.getColMD() != -1> [nzMd]="${item.getColMD()?c}"</#if><#if item.getColSM() != -1> [nzSm]="${item.getColSM()?c}"</#if> <#if item.getColXS() != -1> [nzXs]="${item.getColXS()?c}"</#if> class="ibiz-formitem" >
         <button <#if !item.isShowCaption()>[attr.title]="${item.caption}"</#if> nz-button [nzSize]="'large'" class="ml-sm<#if item.getPSSysCss()??> ${item.getPSSysCss().getCssName()}</#if>" (click)="${item.name}.onClick()">
          <#if item.getPSSysImage()??><#assign img=item.getPSSysImage()><#if img.getCssClass()?? && (img.getCssClass()?length gt 0)><i class="${img.getCssClass()}"></i></#if></#if>
          <#if item.isShowCaption()><span>${item.caption}</span></#if>
      </button>
    </div>
    </ng-template>
</app-ibiz-form-item>
</#if>