<#ibiztemplate>
PUBOBJ=Angular.PSAngularDEGridColVC
</#ibiztemplate>
<#assign column = item>
<#if column.getColumnType() = 'UAGRIDCOLUMN'>
<#comment><!--开始：操作列--></#comment>
<td nz-td *ngIf="!(${ctrl.name}.$isEnableRowEdit && ${ctrl.name}.$openRowEdit)" style="<#if column.getAlign()??&&column.getAlign()?length gt 0>text-align:<#if column.getAlign()=='LEFT'>left</#if><#if column.getAlign()=='CENTER'>center</#if><#if column.getAlign()=='RIGHT'>right</#if>;</#if>">
    <#if column.getPSDEUIActionGroup().getPSDEUIActions()??>
    <#if column.getColumnStyle()?? && column.getColumnStyle() == 'MENU'>
    <#comment><!--开始：样式菜单模式--></#comment>
    <nz-dropdown-button [nzDisabled]="data.disabled">
        更多操作
        <ul nz-menu>
          <#list column.getPSDEUIActionGroup().getPSDEUIActions() as uiaction> 
          <li nz-menu-item>
              <a <#if uiaction.getDataAccessAction()??&&uiaction.getDataAccessAction()?length gt 0> *ngIf="data?.srfdataaccaction?.${uiaction.getDataAccessAction()}"</#if> 
 (click)="${ctrl.name}.uiAction('${uiaction.getUIActionTag()}',data)">${uiaction.getCaption("")}</a>
          </li>
          </#list>
        </ul>
    </nz-dropdown-button>
    <#comment><!--结束：样式菜单模式--></#comment>
    <#elseif column.getColumnStyle()?? && column.getColumnStyle() == 'EXPAND'>
    <#comment><!--开始：样式平铺展开模式--></#comment>
    <span>
        <#list column.getPSDEUIActionGroup().getPSDEUIActions() as uiaction>
        <#if uiaction_index gt 0><span nz-table-divider></span></#if>
        <a <#if uiaction.getDataAccessAction()??&&uiaction.getDataAccessAction()?length gt 0> *ngIf="data?.srfdataaccaction?.${uiaction.getDataAccessAction()}"</#if>  (click)="${ctrl.name}.uiAction('${uiaction.getUIActionTag()}',data)" [style.color]="data.disabled?'#bfbfbf':''">${uiaction.getCaption("")}</a>
        </#list>
    </span>
    <#comment><!--结束：样式平铺展开模式--></#comment>
    <#else>
    <#comment><!--开始：暂不支持其他模式，默认平铺展开模式--></#comment>
    <span>
        <#list column.getPSDEUIActionGroup().getPSDEUIActions() as uiaction>
        <#if uiaction_index gt 0><span nz-table-divider></span></#if>
        <a <#if uiaction.getDataAccessAction()??&&uiaction.getDataAccessAction()?length gt 0> *ngIf="data?.srfdataaccaction?.${uiaction.getDataAccessAction()}"</#if>  (click)="${ctrl.name}.uiAction('${uiaction.getUIActionTag()}',data)" [style.color]="data.disabled?'#bfbfbf':''">${uiaction.getCaption("")}</a>
        </#list>
    </span>
    <#comment><!--结束：暂不支持其他模式，默认平铺展开模式--></#comment>
    </#if>
    </#if>
</td>
<#comment><!--结束：操作列--></#comment>
<#else>
<#comment><!--开始：数据列--></#comment>
<td nz-td style="<#if column.getAlign()??&&column.getAlign()?length gt 0>text-align:<#if column.getAlign()=='LEFT'>left</#if><#if column.getAlign()=='CENTER'>center</#if><#if column.getAlign()=='RIGHT'>right</#if>;</#if>">

    <#if (column.getRenderPSSysPFPlugin()??)>
        <#comment><!--开始：扩展绘制列--></#comment>
        <span>${column.getRenderPSSysPFPlugin().getCode("CODE", pf.getId(), pfstyle.getId(), view,ctrl, column)}</span>
        <#comment><!--结束：扩展绘制列--></#comment>
    <#elseif (column.getPSDEUIAction()??)>
        <#comment><!--开始：列调用实体界面行为--></#comment>
        <#assign uiaction = column.getPSDEUIAction()>
        <span>
            <a (click)="${ctrl.name}.uiAction('${uiaction.getUIActionTag()}',data)" [style.color]="data.disabled?'#bfbfbf':''">
            <#if ((column.getCodeList())??  && column.getCLConvertMode() == 'FRONT')>
                <#comment><!--开始：代码表模式--></#comment>
                <#assign codelist = column.getPSCodeList()>
                <#if codelist.getCodeListType() == 'STATIC'>
                    <#if codelist.getOrMode() == ''>
                    <span <#if ctrl.isEnableRowEdit() && column.isEnableRowEdit()>*ngIf="data.openeditrow"</#if> [innerHTML]="renderCodeList_Normal( '${srfparamname('${sys.codeName}')}_${column.getCodeList().codeName}', data.${column.getDataItemName()?lower_case}, '${codelist.getEmptyText()}' )  | IBizSafeString:'html'"></span>
                    <#elseif codelist.getOrMode() == 'STR'>
                    <span <#if ctrl.isEnableRowEdit() && column.isEnableRowEdit()>*ngIf="data.openeditrow"</#if> [innerHTML]="renderCodeList_StrOr( '${srfparamname('${sys.codeName}')}_${column.getCodeList().codeName}', data.${column.getDataItemName()?lower_case}, '${codelist.getEmptyText()}', '${codelist.textSeparator}', '${codelist.valueSeparator}' )  | IBizSafeString:'html'"></span>
                    <#elseif codelist.getOrMode() == 'NUM'>
                    <span <#if ctrl.isEnableRowEdit() && column.isEnableRowEdit()>*ngIf="data.openeditrow"</#if> [innerHTML]="renderCodeList_NumOr( '${srfparamname('${sys.codeName}')}_${column.getCodeList().codeName}', data.${column.getDataItemName()?lower_case}, '${codelist.getEmptyText()}', '${codelist.textSeparator}' )  | IBizSafeString:'html'"></span>
                    </#if>
                <#else>
                    <span <#if ctrl.isEnableRowEdit() && column.isEnableRowEdit()>*ngIf="data.openeditrow"</#if>>{{data.${column.getDataItemName()?lower_case}}}</span>
                </#if>
                <#if column.isEnableRowEdit()><span *ngIf="!data.openeditrow">${editor.code}</span></#if>
                <#comment><!--结束：代码表模式--></#comment>
            <#else>
                <#comment><!--开始：通用模式--></#comment>
                <span <#if ctrl.isEnableRowEdit() && column.isEnableRowEdit()>*ngIf="data.openeditrow"</#if>>{{data.${column.getDataItemName()?lower_case}}}</span>
                <#if ctrl.isEnableRowEdit() && column.isEnableRowEdit()><span *ngIf="!data.openeditrow">${editor.code}</span></#if>
                <#comment><!--结束：通用模式--></#comment>
            </#if>
            </a>
        </span>
        <#comment><!--结束：列调用实体界面行为--></#comment>
    <#else>
        <#comment><!--开始：通用模式--></#comment>
        <#if ((column.getCodeList())??  && column.getCLConvertMode()=='FRONT')>
            <#comment><!--开始：代码表模式--></#comment>
            <#assign codelist = column.getPSCodeList()>
            <#if codelist.getCodeListType() == 'STATIC'>
                <#if codelist.getOrMode() == ''>
                <span <#if ctrl.isEnableRowEdit() && column.isEnableRowEdit()>*ngIf="data.openeditrow"</#if> [innerHTML]="renderCodeList_Normal( '${srfparamname('${sys.codeName}')}_${column.getCodeList().codeName}', data.${column.getDataItemName()?lower_case}, '${codelist.getEmptyText()}' )  | IBizSafeString:'html'"></span>
                <#elseif codelist.getOrMode() == 'STR'>
                <span <#if ctrl.isEnableRowEdit() && column.isEnableRowEdit()>*ngIf="data.openeditrow"</#if> [innerHTML]="renderCodeList_StrOr( '${srfparamname('${sys.codeName}')}_${column.getCodeList().codeName}', data.${column.getDataItemName()?lower_case}, '${codelist.getEmptyText()}', '${codelist.textSeparator}', '${codelist.valueSeparator}' )  | IBizSafeString:'html'"></span>
                <#elseif codelist.getOrMode() == 'NUM'>
                <span <#if ctrl.isEnableRowEdit() && column.isEnableRowEdit()>*ngIf="data.openeditrow"</#if> [innerHTML]="renderCodeList_NumOr( '${srfparamname('${sys.codeName}')}_${column.getCodeList().codeName}', data.${column.getDataItemName()?lower_case}, '${codelist.getEmptyText()}', '${codelist.textSeparator}' )  | IBizSafeString:'html'"></span>
                </#if>
            <#else>
                <span <#if ctrl.isEnableRowEdit() && column.isEnableRowEdit()>*ngIf="data.openeditrow"</#if>>{{data.${column.getDataItemName()?lower_case}}}</span>
            </#if>
            <#if ctrl.isEnableRowEdit() && column.isEnableRowEdit()><span *ngIf="!data.openeditrow">${editor.code}</span></#if>
            <#comment><!--结束：代码表模式--></#comment>
        <#else>
            <#comment><!--开始：通用模式--></#comment>
            <span <#if ctrl.isEnableRowEdit() && column.isEnableRowEdit()>*ngIf="data.openeditrow"</#if>>{{data.${column.getDataItemName()?lower_case}}}</span>
            <#if ctrl.isEnableRowEdit() && column.isEnableRowEdit()><span *ngIf="!data.openeditrow">${editor.code}</span></#if>
            <#comment><!--结束：通用模式--></#comment>
        </#if>
        <#comment><!--结束：通用模式--></#comment>
    </#if>
</td>
<#comment><!--结束：数据列--></#comment>
</#if>