<#ibiztemplate>
PUBOBJ=Angular.PSAngularDEGridViewCode
</#ibiztemplate>
<nz-table 
    #${srfclassname('${ctrl.name}')}
    [nzAjaxData]="${ctrl.name}.$items" 
    [nzIsPagination]="false"
    [nzCustomNoResult]="true"  
    <#if (ctrl.getHeight() gt 0) || (ctrl.getWidth() gt 0) ||  (!ctrl.isForceFit())>[nzScroll]="{ x: <#if (ctrl.getWidth() gt 0)>${ctrl.getWidth()?c}<#elseif (!ctrl.isForceFit())>1920<#else>null</#if>, y: <#if (ctrl.getHeight() gt 0)>${ctrl.getHeight()?c}<#else>null</#if> }"</#if> 
    <#if ctrl.isEnablePagingBar()> [nzShowFooter]="true"</#if>>
    <#-- 表格无值显示内容 -->
    <span noResult><#if ctrl.getEmptyText() != ''>${ctrl.getEmptyText()}<#else>没有数据</#if></span>

    <#-- 是否有默认适配列 -->
    <#assign adaptationColu = true/>
    
    <#-- 是否显示表格头部与是否适屏 -->
    <#if !ctrl.isHideHeader()>
    <#-- 表格宽度大于0或高度大于0或表格不自适应屏幕宽度,均出滚动条 -->
    <#if (ctrl.getHeight() gt 0) || (ctrl.getWidth() gt 0) ||  (!ctrl.isForceFit())>
    <ng-template #nzFixedHeader>
        <thead nz-thead>
            <tr>
                <th nz-th [nzCheckbox]="true" [nzWidth]="'50px'"  <#if ctrl.isEnableRowEdit()>*ngIf="!(${ctrl.name}.$isEnableRowEdit && ${ctrl.name}.$openRowEdit)"</#if>>
                    <#if !ctrl.isSingleSelect()>
                    <label nz-checkbox [(ngModel)]="${ctrl.name}.$allChecked" *ngIf="${ctrl.name}.$multiSelect" [nzIndeterminate]="${ctrl.name}.$indeterminate" (ngModelChange)="${ctrl.name}.selectAll($event)"></label>
                    </#if>
                </th>

                <#if ctrl.isEnableRowEdit()>
                <th nz-th [nzWidth]="'50px'" *ngIf="(${ctrl.name}.$isEnableRowEdit && ${ctrl.name}.$openRowEdit)">
                    <span>序号</span>
                </th>
                </#if>

                <#list ctrl.getPSDEGridColumns() as column>
                <#if column.getWidthUnit() == 'STAR'>
                <#assign adaptationColu = false/>
                </#if>

                <th nz-th <#if column.getColumnType() = 'UAGRIDCOLUMN'>*ngIf="!(${ctrl.name}.$isEnableRowEdit && ${ctrl.name}.$openRowEdit)"</#if> <#if column.getWidthUnit()!='STAR'> [nzWidth]="'${column.width}px'"</#if> style="<#if column.getAlign()??&&column.getAlign()?length gt 0>text-align:<#if column.getAlign()=='LEFT'>left</#if><#if column.getAlign()=='CENTER'>center</#if><#if column.getAlign()=='RIGHT'>right</#if>;</#if>">
                    <span>{{${ctrl.name}.$columns.${column.getName()?lower_case}.caption}}</span>
                    <#if !ctrl.isNoSort() && column.isEnableSort()>
                    <nz-table-sort *ngIf="!(${ctrl.name}.$isEnableRowEdit && ${ctrl.name}.$openRowEdit)" (nzValueChange)="${ctrl.name}.sort('${column.getDataItemName()?lower_case}',$event)"></nz-table-sort>
                    </#if>
                </th>
                </#list>

                <#if adaptationColu><th nz-th ></th></#if>
            </tr>
        </thead>
    </ng-template>
    <#else>
    <thead nz-thead>
        <tr>
            <th nz-th [nzCheckbox]="true" [nzWidth]="'50px'"  <#if ctrl.isEnableRowEdit()>*ngIf="!(${ctrl.name}.$isEnableRowEdit && ${ctrl.name}.$openRowEdit)"</#if>>
                <#if !ctrl.isSingleSelect()>
                <label nz-checkbox [(ngModel)]="${ctrl.name}.$allChecked" *ngIf="${ctrl.name}.$multiSelect" [nzIndeterminate]="${ctrl.name}.$indeterminate" (ngModelChange)="${ctrl.name}.selectAll($event)"></label>
                </#if>
            </th>

            <#if ctrl.isEnableRowEdit()>
            <th nz-th [nzWidth]="'50px'" *ngIf="(${ctrl.name}.$isEnableRowEdit && ${ctrl.name}.$openRowEdit)">
                <span>序号</span>
            </th>
            </#if>

            <#list ctrl.getPSDEGridColumns() as column>
            <#if column.getWidthUnit() == 'STAR'>
            <#assign adaptationColu = false/>
            </#if>

            <th nz-th <#if column.getColumnType() = 'UAGRIDCOLUMN'>*ngIf="!(${ctrl.name}.$isEnableRowEdit && ${ctrl.name}.$openRowEdit)"</#if> <#if column.getWidthUnit()!='STAR'> [nzWidth]="'${column.width}px'"</#if> style="<#if column.getAlign()??&&column.getAlign()?length gt 0>text-align:<#if column.getAlign()=='LEFT'>left</#if><#if column.getAlign()=='CENTER'>center</#if><#if column.getAlign()=='RIGHT'>right</#if>;</#if>">
                <span>{{${ctrl.name}.$columns.${column.getName()?lower_case}.caption}}</span>
                <#if !ctrl.isNoSort() && column.isEnableSort()>
                <nz-table-sort *ngIf="!(${ctrl.name}.$isEnableRowEdit && ${ctrl.name}.$openRowEdit)" (nzValueChange)="${ctrl.name}.sort('${column.getDataItemName()?lower_case}',$event)"></nz-table-sort>
                </#if>
            </th>
            </#list>

            <#if adaptationColu><th nz-th ></th></#if>
        </tr>
    </thead>
    </#if>
    </#if>

    <tbody nz-tbody>
        <tr nz-tbody-tr *ngFor="let data of ${srfclassname('${ctrl.name}')}.data;let rowindex=index;" (click)="${ctrl.name}.clickRowSelect(data)" (dblclick)="${ctrl.name}.dblClickRowSelection(data)">
            <td nz-td [nzCheckbox]="true" <#if ctrl.isEnableRowEdit()>*ngIf="!(${ctrl.name}.$isEnableRowEdit && ${ctrl.name}.$openRowEdit)"</#if>>
                <label nz-checkbox [nzDisabled]="data.disabled" [(ngModel)]="data.checked" (ngModelChange)="${ctrl.name}.onItemSelect($event,data)">
                </label>
            </td>

            <#if ctrl.isEnableRowEdit()>
            <td nz-td *ngIf="(${ctrl.name}.$isEnableRowEdit && ${ctrl.name}.$openRowEdit)">
                <span>{{rowindex + 1}}</span>
            </td>
            </#if>

            <#list columns as column>
            ${column.code}
            </#list>
            
            <#if adaptationColu><td nz-td ></td></#if>
        </tr>
    </tbody>
    <#if ctrl.isEnablePagingBar()>
    <span nz-table-footer>
        <div class="pull-left">
            <div>显示 {{(${ctrl.name}.$curPage - 1) * ${ctrl.name}.$limit + 1}} - {{ (${ctrl.name}.$limit * ${ctrl.name}.$curPage) > ${ctrl.name}.$totalrow ?
                ${ctrl.name}.$totalrow : (${ctrl.name}.$limit * ${ctrl.name}.$curPage) }} 条，共 {{ ${ctrl.name}.$totalrow }} 条</div>
        </div>
        <div class="pull-right ibiz-grid-pagination">
            <nz-pagination [(nzPageIndex)]="${ctrl.name}.nzPageIndex" [(nzPageSize)]="${ctrl.name}.nzPageSize" [nzTotal]="${ctrl.name}.$totalrow"
            (nzPageIndexClickChange)="${ctrl.name}.clickPageIndex($event)"   nzShowQuickJumper nzShowSizeChanger [nzPageSizeSelectorValues]="[10, 20, 30, 40, 50, 60, 70, 80, 90, 100]">
            </nz-pagination>
        </div>
    </span>
    </#if>
</nz-table>