<nz-sider [nzWidth]="<#if ctrl.getWidth() lt 240>240<#else>${ctrl.getWidth()}</#if>" class="tree-sider" [class.treeexpbar-tree-isCollapsed]="!${ctrl .name}.$isCollapsed" style="height: <#if ctrl.getHeight() lt 500>500<#else>${ctrl.getHeight()}</#if>px;">
    <div class="ibiz-exptree" style="height: 40px;">
        <div class="ibiz-exptree-title" style="width: calc(100% - 40px);">
            <h3><#if ctrl.getTitle() == ''>流程导航栏<#else>${ctrl.getTitle()}</#if></h3>
        </div>
        <div class="ibiz-exptree-collapsed" style="width: 40px;">
            <button nz-button [nzType]="'primary'" (click)="${ctrl .name}.$isCollapsed = !${ctrl .name}.$isCollapsed">
                <i class="anticon" [class.anticon-menu-unfold]="!${ctrl .name}.$isCollapsed" [class.anticon-menu-fold]="${ctrl .name}.$isCollapsed">
                </i>
            </button>
        </div>

    </div>
    <div class="tree-view-content" style="height: calc(100% - 40px);">
        <ul nz-menu [nzMode]="'inline'">
            <!--  一级菜单 begin -->
            <ng-container *ngFor="let item of ${ctrl.name}.$items">
                <ng-container *ngIf="!item.hassubmenu">
                    <li nz-menu-item *ngIf="item.show" [ngClass]="{'ant-menu-item-selected': item.id == ${ctrl.name}.$selectItem.id}" nzClickActive="false"
                        (click)="${ctrl.name}.selection(item)">
                        <span title>
                            <i class="fa {{item.iconCls}}">&nbsp;&nbsp;</i>
                            <span>{{item.text}}</span>
                            <span >&nbsp;&nbsp;
                                <nz-badge  [nzDot]="'false'" [nzCount]="item.counterdata" [nzOverflowCount]="9999"></nz-badge>
                            </span>
                        </span>
                    </li>
                </ng-container>
                <ng-container *ngIf="item.hassubmenu">
                    <li nz-submenu *ngIf="item.show" [(nzOpen)]="item.expanded" [ngClass]="{'ant-menu-item-selected': item.id == ${ctrl.name}.$selectItem.id}"
                        (nzOpenChange)="${ctrl.name}.expandedAndSelectSubMenu(item)">
                        <span title>
                            <i class="fa {{item.iconCls}}">&nbsp;&nbsp;</i>
                            <span>{{item.text}}</span>
                            <span>&nbsp;&nbsp;
                                <nz-badge  [nzDot]="'false'" [nzCount]="item.counterdata" [nzOverflowCount]="9999"></nz-badge>
                            </span>
                        </span>
                        <ul>
                            <!--  二级菜单 begin -->
                            <ng-container *ngFor="let sub0 of item.items">
                                <ng-container *ngIf="!sub0.hassubmenu">
                                    <li nz-menu-item *ngIf="sub0.show" [ngClass]="{'ant-menu-item-selected': sub0.id == ${ctrl.name}.$selectItem.id}" nzClickActive="false"
                                        (click)="${ctrl.name}.selection(sub0)">
                                        <span title>
                                            <i class="fa {{sub0.iconCls}}">&nbsp;&nbsp;</i>
                                            <span>{{sub0.text}}</span>
                                            <span >&nbsp;&nbsp;
                                                <nz-badge   [nzDot]="'false'" [nzCount]="sub0.counterdata" [nzOverflowCount]="9999"></nz-badge>
                                            </span>
                                        </span>
                                    </li>
                                </ng-container>

                                <ng-container *ngIf="sub0.hassubmenu">
                                    <li nz-submenu *ngIf="sub0.show" [(nzOpen)]="sub0.expanded" [ngClass]="{'ant-menu-item-selected': sub0.id == ${ctrl.name}.$selectItem.id}"
                                        (nzOpenChange)="${ctrl.name}.expandedAndSelectSubMenu(sub0)">
                                        <span title>
                                            <i class="fa {{sub0.iconCls}}">&nbsp;&nbsp;</i>
                                            <span>{{sub0.text}}</span>
                                            <span >&nbsp;&nbsp;
                                                <nz-badge   [nzDot]="'false'" [nzCount]="sub0.counterdata" [nzOverflowCount]="9999"></nz-badge>
                                            </span>
                                        </span>
                                        <ul>
                                            <!--  三级菜单  begin -->
                                            <ng-container *ngFor="let sub1 of sub0.items">
                                                <ng-container *ngIf="!sub1.hassubmenu">
                                                    <li nz-menu-item *ngIf="sub1.show" [ngClass]="{'ant-menu-item-selected': sub1.id == ${ctrl.name}.$selectItem.id}" nzClickActive="false"
                                                        (click)="${ctrl.name}.selection(sub1)">
                                                        <span title>
                                                            <i class="fa {{sub1.iconCls}}">&nbsp;&nbsp;</i>
                                                            <span>{{sub1.text}}</span>
                                                            <span >&nbsp;&nbsp;
                                                                <nz-badge   [nzDot]="'false'" [nzCount]="sub1.counterdata" [nzOverflowCount]="9999"></nz-badge>
                                                            </span>
                                                        </span>
                                                    </li>
                                                </ng-container>
                                                <ng-container *ngIf="sub1.hassubmenu">
                                                    <li nz-submenu *ngIf="sub1.show" [(nzOpen)]="sub1.expanded" [ngClass]="{'ant-menu-item-selected': sub1.id == ${ctrl.name}.$selectItem.id}"
                                                        (nzOpenChange)="${ctrl.name}.expandedAndSelectSubMenu(sub1)">
                                                        <span title>
                                                            <i class="fa {{sub1.iconCls}}">&nbsp;&nbsp;</i>
                                                            <span>{{sub1.text}}</span>
                                                            <span >&nbsp;&nbsp;
                                                                <nz-badge   [nzDot]="'false'" [nzCount]="sub1.counterdata" [nzOverflowCount]="9999"></nz-badge>
                                                            </span>
                                                        </span>
                                                        <ul>
                                                            <!--  四级菜单 begin -->
                                                            <ng-container *ngFor="let sub2 of sub1.items">
                                                                <li nz-menu-item *ngIf="sub2.show" [ngClass]="{'ant-menu-item-selected': sub2.id == ${ctrl.name}.$selectItem.id}" nzClickActive="false"
                                                                    (click)="${ctrl.name}.selection(sub2)">
                                                                    <span title>
                                                                        <i class="fa {{sub2.iconCls}}">&nbsp;&nbsp;</i>
                                                                        <span>{{sub2.text}}</span>
                                                                        <span >&nbsp;&nbsp;
                                                                            <nz-badge   [nzDot]="'false'" [nzCount]="sub2.counterdata" [nzOverflowCount]="9999"></nz-badge>
                                                                        </span>
                                                                    </span>
                                                                </li>
                                                            </ng-container>
                                                            <!--  四级菜单 end -->
                                                        </ul>
                                                    </li>
                                                </ng-container>
                                            </ng-container>

                                            <!--  三级菜单 end -->
                                        </ul>
                                    </li>
                                </ng-container>
                            </ng-container>
                            <!--  二级菜单 end -->

                        </ul>
                    </li>
                </ng-container>
            </ng-container>

            <!--  一级菜单 end -->
        </ul>
    </div>
</nz-sider>