<#ibiztemplate>
PUBOBJ=Angular.PSAngularDEFormItemVC
</#ibiztemplate>
<#if item.getPSSysPFPlugin()??>
  ${item.getPSSysPFPlugin().getCode("CODE",pf.getId(),pfstyle.getId(),view,ctrl,item)}
<#else>
<app-ibiz-form-item [field]="fields.${item.name}">
    <ng-template let-${item.name}>
    <div nz-form-item [ngStyle]="{'display':${item.name}.visible?'block':'none'<#if item.getColWidth() != -1>,'width': '${item.getColWidth()?c}px'</#if>}" 
         nz-col <#if item.getColLG() != -1> [nzLg]="${item.getColLG()?c}"</#if><#if item.getColMD() != -1> [nzMd]="${item.getColMD()?c}"</#if><#if item.getColSM() != -1> [nzSm]="${item.getColSM()?c}"</#if> <#if item.getColXS() != -1> [nzXs]="${item.getColXS()?c}"</#if> class="ibiz-formitem ${item.getLabelPos()?lower_case}" >
      <#if (item.isShowCaption())>
        <div nz-form-label class='ibiz-formitem-label-left pull-left' <#if (item.getLabelWidth() gte 0)>style="width:${item.getLabelWidth()?c}px;"</#if>>
            <label [ngClass]="{'ant-form-item-required': !${item.name}.allowEmpty}"><#if !item.isEmptyCaption()>${item.caption}</#if></label>
        </div>
      </#if>
      <div nz-form-control [nzValidateStatus]="${item.name}.validateStatus" <#if (item.getLabelWidth() gte 0)>style="margin-left:${item.getLabelWidth()?c}px;"</#if>>
            ${editor.code}
            <div nz-form-explain *ngIf="${item.name}.hasError">{{${item.name}.errorInfo}}</div>
      </div>
    </div>
    </ng-template>
</app-ibiz-form-item>
</#if>